For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/workflow/automations/get-api-workflow-v1automations-by-automation_id-enrollments.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.
List enrollments
GET
/api/workflow/v1/automations/:automation_id/enrollments
1import { Reloop } from "reloop-email";2
3const reloop = new Reloop({ apiKey: "rl_123456789" });4
5const { enrollments, enrollmentError } = await reloop.automations.enrollments.list("auto_123456789", {6 status: "active",7});8if (enrollmentError) throw enrollmentError;1{2 "enrollments": [3 {4 "id": "enr_123456789",5 "automationId": "auto_123456789",6 "contactId": "con_123456789",7 "contactEmail": "john.doe@example.com",8 "contactFirstName": "John",9 "contactLastName": "Doe",10 "status": "active",11 "currentNodeId": "wait",12 "enrolledAt": "2026-03-23T10:00:00.000Z",13 "completedAt": null,14 "cancelledAt": null15 }16 ],17 "total": 1,18 "page": 1,19 "limit": 5020}Path Parameters
automation_idstringRequired
Automation ID (auto_...)
- Minimum length:
1
Query Parameters
pagestring | numberdefault: 1
Page number
- Minimum value:
1
limitstring | numberdefault: 50
Enrollments per page
- Minimum value:
1 - Maximum value:
100
status"active" | "completed" | "cancelled" | "failed"
Possible values: active | completed | cancelled | failed
Was this page helpful?